package wenrgise.ejb.common.helper;

import java.io.Serializable;

public class InputDBObject implements Serializable {
  protected int iPosition;
  
  protected int iDataType;
  
  protected Object oValue;
  
  public InputDBObject() {}
  
  public InputDBObject(int iPosition, int iDataType, Object oValue) {
    this.iPosition = iPosition;
    this.iDataType = iDataType;
    this.oValue = oValue;
  }
  
  public int getDataType() {
    return this.iDataType;
  }
  
  public void setDataType(int newIDataType) {
    this.iDataType = newIDataType;
  }
  
  public int getPosition() {
    return this.iPosition;
  }
  
  public void setPosition(int newIPosition) {
    this.iPosition = newIPosition;
  }
  
  public Object getObject() {
    return this.oValue;
  }
  
  public void setObject(Object newOValue) {
    this.oValue = newOValue;
  }
}
